# crm365Call

## Description

Is a business management software (ERP) designed for small and medium-sized enterprises. As an ERP solution, it aims to automate key business functions in financials, operations, and human resources.

## Input / Parameters

| No | Name      | Description                                                               | Data Type | Required |
| -- | --------- | ------------------------------------------------------------------------- | --------- | -------- |
| 1  | connector | Name of connector and created in the Services and Global Components page. | String    | Yes      |
| 2  | function  | The function from the Web Service to be executed.                         | String    | Yes      |
| 3  | data      | This contains the main parameter in the function being called.            | Object    | Yes      |
| 4  | extra     |                                                                           |           |          |

## Output

## Callback

## Video

## Example

The user wants to call the sapB1Call Web Service.

### Step

1. Create SAP B1 Connector in Services and define the name, url and timeOut.\
   Name: sapb1\
   url: <http://203.116.137.100:51059/DemoApp/Sample.asmx\\>
   ( Please refer to the picture below, there is a example of main web service.We have take one of the operation which is LoginDemo as an example to apply for this function.)\
   timeOut: 30000

   ![](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/006-actions-and-visual-logic/action-reference/cordova/Dataset/crm365Call/sapB1Call-step-1.png)

   ![](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/006-actions-and-visual-logic/action-reference/cordova/Dataset/crm365Call/sapB1Call-step-2.png)
2. Call the function "sapB1Call" and define the connector & function, set the function "toObject"to data.\
   connector: sapb1\
   function: LoginDemo\
   data: toObject<br>

   ![](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/006-actions-and-visual-logic/action-reference/cordova/Dataset/crm365Call/sapB1Call-step-3.png)
3. Define toObject.\
   CompanyUserName: manager\
   CompanyPassword: 123456<br>

   ![](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/006-actions-and-visual-logic/action-reference/cordova/Dataset/crm365Call/sapB1Call-step-4.png)
4. Add a console after callback function for display response from console.

   ![](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/006-actions-and-visual-logic/action-reference/cordova/Dataset/crm365Call/sapB1Call-step-5.png)

### Result

![](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/006-actions-and-visual-logic/action-reference/cordova/Dataset/crm365Call/sapB1Call-result-1.png)

## Notes

* N/A


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dataset/crm365call.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
